Subject: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Oct 2017 11:29:44 +0300

> Cc: [email-masked], [email-masked],
>  [email-masked]
> From: Romanos Skiadas <[email-masked]>
> Date: Wed, 11 Oct 2017 21:32:06 +0100
> 
> echo "foo" > /tmp/test.txt
> 
> (cd /tmp && git clone https://github.com/emacs-evil/evil)
> 
> Add this to a file, eg /tmp/test-init.el:
> 
>  (add-hook 'text-mode-hook (lambda () (display-line-numbers-mode)))
>  (add-to-list 'load-path "/tmp/evil")
>  (require 'evil)
>  (evil-mode 1)
> 
>  emacs -Q -l /tmp/test-init.el /tmp/test.txt
> 
> Put this in the test.txt buffer an eval it:
> (let ((overlay (make-overlay 1 6 nil t nil))) ;; flyspell does this on misspelled words
>   (overlay-put overlay 'help-echo "a"))
> 
> Make sure you are in normal more (press ESC)
> Move the mouse above the f at the start of the buffer and hover until the "a" shows up.
> Click and drag along toward to end of the line. The line numbers consistently go away with this recipe for me.

Doesn't happen here with the latest emacs-26 branch.  Are you using
that branch, or are you using some other code base for Emacs?

(I didn't clone the evil Git repository; instead, I downloaded a zip
archive and unpacked it on my system.  I don't think it should
matter.)

Can you tell the details of your build?  If it's a GTK build, does the
problem go away if you tell Emacs to use non-GTK tooltips (by setting
x-gtk-use-system-tooltips to nil), or if you turn off scroll-bar-mode?

> I'll start dissecting evil to see what causes this.

Thanks.